package com.ygtx.gxt.domain;

import com.ygtx.common.annotation.Excel;
import com.ygtx.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * 运行时长分值配置对象 gxt_score_runtime
 * 
 * @author ygtx
 * @date 2025-11-11
 */
@ApiModel(description = "运行时长分值配置")
public class GxtScoreRuntime extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    @Excel(name = "主键ID")
    @ApiModelProperty(value = "主键ID")
    private Long id;

    /** 运行时长范围 */
    @Excel(name = "连续运行时长")
    @ApiModelProperty(value = "运行时长范围")
    private String runtimeRange;

    /** 最小时数 */
    @Excel(name = "最小天数")
    @ApiModelProperty(value = "最小天数")
    private Integer minHours;

    /** 最大小时数(为空表示无上限) */
    @Excel(name = "最大天数")
    @ApiModelProperty(value = "最大天数(为空表示无上限)")
    private Integer maxHours;

    /** 对应分值 */
    @Excel(name = "分值")
    @ApiModelProperty(value = "对应分值")
    private BigDecimal score;

    /** 状态 */
    @Excel(name = "启用状态")
    @ApiModelProperty(value = "状态")
    private Integer status;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    
    public void setRuntimeRange(String runtimeRange) 
    {
        this.runtimeRange = runtimeRange;
    }

    public String getRuntimeRange() 
    {
        return runtimeRange;
    }
    
    public void setMinHours(Integer minHours) 
    {
        this.minHours = minHours;
    }

    public Integer getMinHours() 
    {
        return minHours;
    }
    
    public void setMaxHours(Integer maxHours) 
    {
        this.maxHours = maxHours;
    }

    public Integer getMaxHours() 
    {
        return maxHours;
    }
    
    public void setScore(BigDecimal score) 
    {
        this.score = score;
    }

    public BigDecimal getScore() 
    {
        return score;
    }
    
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("runtimeRange", getRuntimeRange())
            .append("minHours", getMinHours())
            .append("maxHours", getMaxHours())
            .append("score", getScore())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}